# pandas.Panel4D.rename

`Panel4D.``rename`(items=None, major_axis=None, minor_axis=None, **kwargs)

  Alter axes input function or functions. Function / dict values must be unique (1-to-1). Labels not contained in a dict / Series will be left as-is.

  Parameters:

  items, major_axis, minor_axis : dict-like or function, optional

  > Transformation to apply to that axis values

  copy : boolean, default True

  > Also copy underlying data

  inplace : boolean, default False

  > Whether to return a new Panel. If True then value of copy is ignored.

  Returns: | renamed : Panel (new object)